/***************************************************************
From the book "Motif Programming, The Essentials...and More"
by Marshall Brain.
Published by Digital Press, ISBN 1-55558-089-0.
To order the book, call 1-800-DIGITAL and ask for EY-J816E-DP.

Copyright 1992, by Digital Equipment Corp.

This code shows how to retrieve the label string from a label.
***************************************************************/

/* getlabel.c */

#include <Xm/Xm.h>
#include <Xm/Label.h>

XtAppContext context;
XmStringCharSet char_set=XmSTRING_DEFAULT_CHARSET;

Widget toplevel, label;

main(argc,argv)
  int argc; 
  char *argv[];
{
  Arg al[10];
  int ac;
  XmString s;
  char *cstring;

  /* create the toplevel shell */
  toplevel = XtAppInitialize(&context,"",NULL,0,&argc,argv,
    NULL,NULL,0);

  /* create the label */
  ac=0;
  XtSetArg(al[ac],XmNlabelString, 
    XmStringCreateLtoR("Hello Hello Hello Hello", char_set)); ac++;
  label=XmCreateLabel(toplevel,"label",al,ac);
  XtManageChild(label);

  /* get the value of the label string */
  ac=0;
  XtSetArg(al[ac],XmNlabelString,&s); ac++;
  XtGetValues(label,al,ac);
  XmStringGetLtoR(s,char_set,&cstring);
  printf("%s\n",cstring);

  XtRealizeWidget(toplevel);
  XtAppMainLoop(context);
}
